Subject: [PATCHv2 2/2] ARM: socfpga: Add clock entries into device tree

From: [email-masked] (Arnd Bergmann)
Date: Wed, 20 Mar 2013 12:31:41 +0000

On Wednesday 20 March 2013, Dinh Nguyen wrote:
> > That is a fair comparison.  However I still prefer to see data (e.g. dts
> > changes) separated from logic (clk.c changes).  I think it makes for a
> > cleaner git history and makes patches more readable too.
> 
> I agree that it makes things alot cleaner to split DTS and code into
> separate patches, but at the same time the code is pretty much useless
> without the DTS entries. I apologize if there has already been a similar
> discussion on the list about this. I just want to make sure that I know
> to split up patches in the same manner in the future?

In particular, it would be helpful to merge the dts changes through the
arm-soc tree and the clk changes through Mike's clock tree. Ideally those
two should be completely independent of one another, although you obviously
need both to get the new feature.

	Arnd